/*
Theme Name: DMN WP STARTER
Description: DMN WP STARTER Child theme for customizations.
Author: Miguel
Author URI: mailto:martinezruiz9317@gmail.com
Template: oceanwp
Text Domain:  dmnwpstarter
Version: 1.0
*/

/* Parent stylesheet should be loaded from functions.php not using @import */

/* Importing fonts */
/* Importing fonts end */

/* Helpers and Init Styles*/
a:focus {
  outline: none !important;
}

/* Helpers End */

/* Mobile Styles */
body {
  position: relative;
  height: 100%;
}

/* Home */
#topbar-template {
  width: 100%;
}
#site-logo #site-logo-inner a img,
#site-header.center-header #site-navigation-wrap .middle-site-logo a img {
  width: 200px;
}
.home-character {
  text-align: center;
}
.home-character svg {
  width: 350px;
  height: auto;
  max-width: 100%;
}
.home-about {
  text-align: center;
}
.home-about svg {
  width: 400px;
  max-width: 80%;
  height: auto;
}
#home-welcome-section {
  position: relative;
  background-image: url("./assets/img/polygon.svg"),
    url("./assets/img/rectangle.svg"), url("./assets/img/ellipse.svg");
  background-size: 300px, 300px, 400px;
  background-repeat: no-repeat, no-repeat, no-repeat;
  background-position: -100px center, calc(100% + 20px) -100px,
    80% calc(100% + 200px);
  padding: 120px 0;
  background-attachment: fixed;
}
#services {
  background-image: url("./assets/img/polygon-2.svg"),
    url("./assets/img/rectangle-2.svg"), url("./assets/img/ellipse-2.svg");
  background-size: 300px, 300px, 400px;
  background-repeat: no-repeat, no-repeat, no-repeat;
  background-position: -100px center, calc(100% + 20px) -100px,
    80% calc(100% + 200px);
  padding: 120px 0;
  background-attachment: fixed;
}
.square {
  transition: all 0.3s ease-in-out;
  -webkit-transition: all 0.3s ease-in-out;
  -moz-transition: all 0.3s ease-in-out;
  -ms-transition: all 0.3s ease-in-out;
  -o-transition: all 0.3s ease-in-out;
}

/*Home Services */
.services-title {
  margin-bottom: 5px;
}
.service-subtitle {
  margin-bottom: 20px;
  font-size: 14px;
  text-transform: uppercase;
  /* color: var(--secondary); */
}
.services-col-inner {
  background-color: var(--box-bg);
  box-shadow: 0 0 12px #000000;
  padding: 30px 20px;
  border-radius: 6px;
  position: relative;
  height: 100%;
  text-align: center;
  display: flex;
  flex-direction: column;
  transition: all 0.2s ease;
  -webkit-transition: all 0.2s ease;
  -moz-transition: all 0.2s ease;
  -ms-transition: all 0.2s ease;
  -o-transition: all 0.2s ease;
}

.services-col-inner::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 0;
  height: 0;
  opacity: 0;
  border-width: 0px;
  border-color: var(--primary);
  border-style: solid;
  /* border-top: 1px solid var(--primary); */
}

.services-wrap div[class^="col"] {
  padding: calc(var(--bs-gutter-x) / 2);
}
.services-thumbnail-wrap {
  margin-bottom: 20px;
}
.separator {
  height: 3px;
  width: 60px;
  background-color: var(--primary);
  margin: 0 auto;
  border-radius: 2px;
  -webkit-border-radius: 2px;
  -moz-border-radius: 2px;
  -ms-border-radius: 2px;
  -o-border-radius: 2px;
}

.services-col-inner .separator {
  margin-bottom: 20px;
}
.services-col-inner a {
  font-size: 16px;
  text-transform: uppercase;
}
.service-grid-excerpt {
  font-size: 16px;
  /* text-transform: uppercase; */
  margin-bottom: 10px;
}
/* Home Contact */
form input:not([type="submit"]),
form textarea,
form select {
  background-color: transparent;
  color: #ffffff;
  border-color: #131226;
  border-radius: 0;
  border: 0;
  border-bottom: 1px solid var(--primary);
  -webkit-border-radius: 0;
  -moz-border-radius: 0;
  -ms-border-radius: 0;
  -o-border-radius: 0;
}
form input:not([type="submit"]):focus,
form textarea:focus,
form select:focus {
  border-color: #131226;
  border-bottom: 1px solid var(--primary);
}
.wpcf7 form.sent .wpcf7-response-output {
  border-color: var(--primary);
}
/* Single Service */
.service-article section:not(.service-header) {
  padding: 60px 0;
}
.workflow-list {
  list-style: none;
  padding: 40px 0;
  margin: 0;
  margin-left: 10px;
  border-left: 1px solid var(--primary);
  position: relative;
}
.workflow-list::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 20px;
  height: 20px;
  background-color: var(--primary);
  border-radius: 50%;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  -ms-border-radius: 50%;
  -o-border-radius: 50%;
  transform: translate(-50%, -50%);
  -webkit-transform: translate(-50%, -50%);
  -moz-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  -o-transform: translate(-50%, -50%);
}
.workflow-list::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 20px;
  height: 20px;
  background-color: var(--primary);
  border-radius: 50%;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  -ms-border-radius: 50%;
  -o-border-radius: 50%;
  transform: translate(-50%, 50%);
  -webkit-transform: translate(-50%, 50%);
  -moz-transform: translate(-50%, 50%);
  -ms-transform: translate(-50%, 50%);
  -o-transform: translate(-50%, 50%);
}

.workflow-list li {
  padding-left: 50px;
  position: relative;
  margin-bottom: 40px;
}
.workflow-list li:last-child {
  margin-bottom: 0;
}
.workflow-list li::before {
  content: "";
  position: absolute;
  top: 30px;
  width: 35px;
  left: 0;
  height: 1px;
  background-color: var(--primary);
}

.workflow-list h3 {
  margin-bottom: 0;
  margin-left: 20px;
}
.workflow-list h4.flow-number {
  font-size: 40px;
  font-weight: 700;
  opacity: 0.5;
  margin-bottom: 0;
}

/* Email App */
#emailApp {
  font-weight: 400;
}
#emailApp button {
  background-color: initial;
}
#emailApp table {
  margin-bottom: 0 !important;
  border: 0 !important;
}
#emailApp table td {
  border: 0 !important;
}
.v-application--wrap {
  min-height: initial;
}
#emailApp p {
  font-size: 14px;
}
/* Team */
.our_team-col-inner {
  text-align: center;
  margin-bottom: 50px;
}
.our_team-col-inner .separator {
  margin-bottom: 20px;
}
.our_team-col-inner img {
  max-width: 100px;
}
.our_team-thumbnail-wrap {
  margin-bottom: 10px;
}
.our_team-title {
  font-size: 22px;
}
/* Portfolio */

/* Footer */
.site-footer .widget_nav_menu li:first-child,
.site-footer .widget_nav_menu li {
  border: none;
  font-size: 16px;
}

#footer-inner .widget_media_image img {
  max-width: 80%;
}
/* Dedicated Teams */
.home-teams-cta {
  padding: 40px 0;
  box-shadow: 0 0 12px #000000;
  background-image: url("./assets/img/puzzle-1.svg"),
    url("./assets/img/puzzle-2.svg");
  background-repeat: no-repeat;
  background-size: 150px, 150px;
  background-position: 70% 100%, 90% 0;
}
.home-puzzle svg {
  height: auto;
  width: 50%;
}
.home-puzzle {
  text-align: center;
}
/* Scroller mouse*/
.scroll-downs {
  position: absolute;
  right: 0;
  bottom: 10%;
  left: 0;
  margin: auto;
  width: 34px;
  height: 55px;
}
.mousey {
  width: 3px;
  padding: 10px 15px;
  height: 35px;
  border: 2px solid #9b9ea3;
  border-radius: 25px;
  opacity: 0.75;
  box-sizing: content-box;
}
.scroller {
  width: 3px;
  height: 10px;
  border-radius: 25%;
  background-color: var(--primary);
  animation-name: scroll;
  animation-duration: 2.2s;
  animation-timing-function: cubic-bezier(0.15, 0.41, 0.69, 0.94);
  animation-iteration-count: infinite;
}
@keyframes scroll {
  0% {
    opacity: 0;
  }
  10% {
    transform: translateY(0);
    opacity: 1;
  }
  100% {
    transform: translateY(15px);
    opacity: 0;
  }
}

/* Project Shortcode */
.work-slide-inner {
  position: relative;
}
.work-slide-overlay {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgb(0, 0, 0);
  background: linear-gradient(
    0deg,
    rgba(0, 0, 0, 1) 0%,
    rgba(0, 0, 0, 1) 0%,
    rgba(0, 0, 0, 0) 100%
  );
}
.work-slide-content {
  position: absolute;
  bottom: 20px;
  left: 20px;
}

.project-item {
  background-color: var(--box-bg);
  padding: 20px;
  margin-bottom: 5px;
  box-shadow: 0 0 6px #000000;
  position: relative;
  display: block;
}
.project-subtitle {
  font-size: 14px;
  color: #9b9ea3;
}
.project-item i {
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -o-transform: translateY(-50%);
}
.project-item:hover .project-subtitle {
  color: #9b9ea3;
}
.project-item.active {
  background-color: #292828;
}

/* Style the tab content */
.tab-content-wrap {
  background-color: var(--box-bg);
}
.tabcontent {
  display: none;
  padding: 25px;
}
.project-item:hover {
  cursor: pointer;
}
.home-project-img {
  padding: 10px;
}
.home-project-img img {
  box-shadow: 0 0 6px #000000;
}
.home .swiper {
  padding-bottom: 40px;
}
.proj-mob-drop-wrap {
  position: relative;
}
#projectMobToggle * {
  margin: 0;
}
#projectMobToggle {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px;
  background-color: var(--box-bg);
  margin-bottom: 5px;
}
.tag-badge {
  font-size: 14px;
  padding: 4px 6px;
  border: 1px solid #292828;
  margin: 2px;
  display: inline-block;
  border-radius: 8px;
  -webkit-border-radius: 8px;
  -moz-border-radius: 8px;
  -ms-border-radius: 8px;
  -o-border-radius: 8px;
}

/* Forms Vue */
.vue-store-form input[type="submit"] {
  display: block;
  width: 100%;
  text-align: center;
}
@media screen and (min-width: 768px) {
  #projectMobToggle {
    display: none;
  }
}

@media screen and (max-width: 767px) {
  .project-item {
    padding: 10px;
  }

  .project-item h3 {
    margin-bottom: 5px;
  }
  #projectMobDropdown {
    display: none;
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    z-index: 3;
  }
  #projectMobDropdown.open {
    display: block;
  }
  .tabcontent {
    padding: 10px;
  }
}

/* Cart + Checkout */
.woocommerce #order_review table.shop_table tbody td {
  background-color: #292828;
}
.woocommerce-checkout #payment ul.payment_methods .wc_payment_method > label {
  background-color: #292828;
}

.woocommerce-checkout #payment div.payment_box {
  color: #9b9ea3;
}

.woocommerce-checkout form input:not([type="submit"]):not([type="radio"]),
.woocommerce-checkout form select,
.woocommerce-checkout form textarea {
  background-color: #292828;
  border: 0;
}

.woocommerce
  .woocommerce-checkout
  .select2-container--default
  .select2-selection--single {
  background-color: #292828;
  border: 0;
}

/* Shop */
.woocommerce ul.products li.owp-content-center .product-inner {
  background-color: var(--box-bg);
  overflow: hidden;
  padding-bottom: 20px;
  border-radius: 20px;
  -webkit-border-radius: 20px;
  -moz-border-radius: 20px;
  -ms-border-radius: 20px;
  -o-border-radius: 20px;
}
.woocommerce
  ul.products
  li.product
  .woo-entry-inner
  li.image-wrap
  .woo-entry-image
  img,
.woocommerce
  ul.products
  li.product
  .woo-entry-inner
  li.image-wrap
  .product-entry-slider-wrap
  img {
  width: 100%;
}

/* Video responsive */
.video-responsive {
  position: relative;
  overflow: hidden;
  width: 100%;
  padding-top: 56.25%; /* 16:9 Aspect Ratio (divide 9 by 16 = 0.5625) */
}

.video-responsive iframe {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  width: 100%;
  height: 100%;
}
